using MultiSelectFiltering.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace MultiSelectFiltering.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            ViewBag.Message = "Welcome to ASP.NET MVC!";

            return View();
        }              

        public JsonResult GetProducts()
        {
            var products = Enumerable.Range(1, 2500).Select(i => new ProductVM
            {
                Id = i,
                Name = "Name " + i
            });

            return Json(products, JsonRequestBehavior.AllowGet);
        }
        
    }
}
